# eric5.Helpviewer.UrlBar.FavIconLabel

Module implementing the label to show the web site icon.

### Global Attributes

None

### Classes

FavIconLabel | Class implementing the label to show the web site icon.

### Functions

None

## FavIconLabel

Class implementing the label to show the web site icon.

### Derived from

QLabel

### Class Attributes

None

### Class Methods

None

### Methods

FavIconLabel | Constructor
__browserIconChanged | Private slot to set the icon.
__clearIcon | Private slot to clear the icon.
mouseMoveEvent | Protected method to handle mouse move events.
mousePressEvent | Protected method to handle mouse press events.
setBrowser | Public method to set the browser connection.

### Static Methods

None

#### FavIconLabel (Constructor)

FavIconLabel(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### FavIconLabel.__browserIconChanged

__browserIconChanged()

Private slot to set the icon.

#### FavIconLabel.__clearIcon

__clearIcon()

Private slot to clear the icon.

#### FavIconLabel.mouseMoveEvent

mouseMoveEvent(evt)

Protected method to handle mouse move events.

evt
  reference to the mouse event (QMouseEvent)

#### FavIconLabel.mousePressEvent

mousePressEvent(evt)

Protected method to handle mouse press events.

evt
  reference to the mouse event (QMouseEvent)

#### FavIconLabel.setBrowser

setBrowser(browser)

Public method to set the browser connection.

browser
  reference to the browser widegt (HelpBrowser)

Up